void pascal syn_upload_envelopes(int voice,int type);
void pascal syn_set_frequency(int voice,unsigned long frequency);
unsigned long pascal syn_get_frequency(int voice);
void pascal syn_prog_frequency(int voice,int channel);
void pascal syn_set_envelope(int voice,SYN_ENVELOPE *envelope);
void pascal syn_get_envelope(int voice,SYN_ENVELOPE *envelope);
void pascal syn_set_pan(int voice, unsigned int pan);
unsigned int pascal syn_get_voice_atten(int voice);
void pascal syn_set_iw_atten(int voice, unsigned int left, unsigned int right);
void pascal syn_get_iw_atten(int voice,unsigned int *left,unsigned int *right);
int  pascal syn_set_instrument(int voice,int type,int instrument);
void pascal syn_play_voice(int voice,int type);
void pascal syn_start_release(int voice);
void pascal syn_stop_voice(int voice);
int  pascal syn_get_sustain(int voice);
//int  pascal syn_can_voice_sustain(int voice);
void pascal syn_set_mpu_sustain(int voice);
void pascal syn_set_sustain(int voice,int flag);
int  pascal syn_voices_running(void);
void pascal syn_get_instrument(int voice, int *bank, int *instrument);
